Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring
Interface IRefactoringCoreStatusCodes

public interface IRefactoringCoreStatusCodes

Status codes used by the refactoring core plug-in.

Note: this interface is not intended to be implemented by clients.

Since:
  3.0
See Also:
  `Status`

Field Summary
`static int` | `BAD_LOCATION` Status code (value 10001) indicating that a bad location exception has occurred during change execution.
`static int` | `CHECKER_ALREADY_EXISTS_IN_CONTEXT` Status code (value 10003) indicating that a condition checker already exists in a shared condition checking context.
`static int` | `INTERNAL_ERROR` Status code (value 10000) indicating an internal error.
`static int` | `VALIDATE_EDIT_CHANGED_CONTENT` Status code (value 10002) indicating that an validateEdit call has changed the content of a file on disk.

Field Detail

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

  Status code (value 10000) indicating an internal error.

  See Also:
    Constant Field Values

### BAD_LOCATION

    public static final int BAD_LOCATION

  Status code (value 10001) indicating that a bad location exception has occurred during change execution.

  See Also:
    `BadLocationException`, Constant Field Values

### VALIDATE_EDIT_CHANGED_CONTENT

    public static final int VALIDATE_EDIT_CHANGED_CONTENT

  Status code (value 10002) indicating that an validateEdit call has changed the content of a file on disk.

  See Also:
    Constant Field Values

### CHECKER_ALREADY_EXISTS_IN_CONTEXT

    public static final int CHECKER_ALREADY_EXISTS_IN_CONTEXT

  Status code (value 10003) indicating that a condition checker already exists in a shared condition checking context.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.